Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.opad.filter
Class RecordConverter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.opad.filter.RecordConverter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class RecordConverter

extends AbstractFilterPlugin

Converts OperationExecutionRecords to NamedDoubleRecords.

Since:
  1.10
Author:
  Thomas Duellmann

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `INPUT_PORT_NAME_OER` Input port that accepts OperationExecutionRecords.
`static String` | `OUTPUT_PORT_NAME_NDR` Ouput port that delivers NamedDoubleRecords.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`RecordConverter(Configuration configuration, IProjectContext projectContext)` Constructor.

Method Summary
`void` | `convert(OperationExecutionRecord oer)` Receives OperationExecutionRecords and delivers them converted to NamedDoubleRecords.
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_OER

    public static final String INPUT_PORT_NAME_OER

  Input port that accepts OperationExecutionRecords.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_NDR

    public static final String OUTPUT_PORT_NAME_NDR

  Ouput port that delivers NamedDoubleRecords.

  See Also:
    Constant Field Values

Constructor Detail

### RecordConverter

    public RecordConverter(Configuration configuration,
                           IProjectContext projectContext)

  Constructor.

  Parameters:
    `configuration` - configuration for the converter
    `projectContext` - controller

Method Detail

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### convert

    public void convert(OperationExecutionRecord oer)

  Receives OperationExecutionRecords and delivers them converted to NamedDoubleRecords.

  Parameters:
    `oer` - OperationExecutionRecord object to be converted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net